---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: errortracking-api
spec:
  entryPoints:
    - websecure
  routes:
  - kind: Rule
    match: filled_in_by_kustomize
    priority: 50
    middlewares:
      - name: cors-headers-et
        namespace: filled_in_by_kustomize
      - name: client-body-buff
        namespace: filled_in_by_kustomize
      - name: forward-auth
        namespace: filled_in_by_kustomize
    services:
    - kind: Service
      name: errortracking-api
      namespace: filled_in_by_kustomize
      port: http
      scheme: http
      strategy: RoundRobin
      nativeLB: true
  tls:
    secretName: https-cert
    domains:
    - main: filled_in_by_kustomize
